E-MailRelay

Public Member Functions | Public Attributes | List of all members
GPop::Store::Config Struct Reference

Configuration structure for GPop::Store. More...

`#include <gpopstore.h>`

## Public Member Functions
Config & | set_allow_delete (bool=true) noexcept
Config & | set_by_name (bool=true) noexcept
Config & | set_by_name_mkdir (bool=true) noexcept

## Public Attributes
bool | allow_delete {true}
bool | by_name {false}
bool | by_name_mkdir {false}

## Detailed Description

Configuration structure for GPop::Store.

Definition at line 50 of file gpopstore.h.

## Member Function Documentation

## ◆ set_allow_delete()

GPop::Store::Config & GPop::Store::Config::set_allow_delete | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 216 of file gpopstore.h.

## ◆ set_by_name()

GPop::Store::Config & GPop::Store::Config::set_by_name | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 217 of file gpopstore.h.

## ◆ set_by_name_mkdir()

GPop::Store::Config & GPop::Store::Config::set_by_name_mkdir | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 218 of file gpopstore.h.

## Member Data Documentation

## ◆ allow_delete

bool GPop::Store::Config::allow_delete {true}

Definition at line 52 of file gpopstore.h.

## ◆ by_name

bool GPop::Store::Config::by_name {false}

Definition at line 53 of file gpopstore.h.

## ◆ by_name_mkdir

bool GPop::Store::Config::by_name_mkdir {false}

Definition at line 54 of file gpopstore.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopstore.h